

      
      subroutine pdierr (ierror)
c     ------------------------------------------------------------------
c     pdierr: Prints error message corresponding to code ierror.
c     ------------------------------------------------------------------
      implicit none

c     ------------------------------------------------------------------
c     Integer input/output parameter:
c
c                ierror: error code.
c     ------------------------------------------------------------------
      integer ierror
      
c     ------------------------------------------------------------------
c     Local data:
c
c       errlst(): 	list of errot messages error code.
c       nerr:		number of of items in errlst()		
c     ------------------------------------------------------------------
      character errlst(10)*60
      
      data errlst(1) /'Number of nodes exceeds maximum.'/,
     +     errlst(2) /'Number of arcs  exceeds maximum.'/,
     +     errlst(3) /'Node exceeds allowed label.'/,
     +     errlst(4) /'Required workspace exceeds maximum.'/,
     +     errlst(5) /'Maximum interior-point iterations reached.'/,
     +     errlst(6) /'Supply does not equal demand.'/,
     +     errlst(7) /'Problem instance is infeasible'/
      
      integer nerr
      data nerr/7/

c     ------------------------------------------------------------------
c     Start of executable portion of subroutine.
c     ------------------------------------------------------------------
      if (ierror.gt.0.and.ierror.lt.nerr) then
          write (*,*) "PDNET RUNTIME ERROR: ", ierror
          write (*,*) errlst(ierror)
      end if
      
c      ------------------------------------------------------------------
c     End of executable portion of subroutine pdierr.
c     ------------------------------------------------------------------
      end
